------------------------------------------------------------------------------------
--Name:			201027[简体征服][活动脚本]战士觉醒预热活动
--Creator:		林玉锦
--Created:		2020/11/23
------------------------------------------------------------------------------------
-- /callluafunc </F>User_PlayPlot</N>98

CppScriptMgr:SetViewPosByCell(107,104)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
CppScriptMgr:SetViewScale(255)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetLightScreen(2000)
local hero = CppScriptMgr:QueryHero()
hero:SetLook(hero:GetLook(), false, true)
hero:SetZoomPercent(100)
hero:SetPos(108,111)
hero:SetDir(4)

--三个倒地npc
-- local player4 = CppScriptMgr:AddSimplePlayer(8170,97,111,"Jing Wuwei")
-- player4:SetDir(6)
-- local player5 = CppScriptMgr:AddSimplePlayer(8170,106,99,"Zhao Tiejun")
-- player5:SetDir(4)
-- local player6 = CppScriptMgr:AddSimplePlayer(8170,118,102,"Song Danxin")
-- player6:SetDir(2)
--玩家追击到刷BOSS点
hero:RunTo(101,85)
CppScriptMgr:WaitMilSec(2000)
--场景黑屏过渡
CppScriptMgr:SetDarkScreen(5000)
CppScriptMgr:WaitMilSec(2000)
--移动玩家到目的地
hero:SetPos(62,28)
hero:RunTo(62,28)
hero:SetDir(6)
--Boss生成
local Boss2 = CppScriptMgr:AddPlayer(153,72,25,"Abyss Evil Lord")
Boss2:SetZoomPercent(200)
Boss2:SetDir(0)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(72,25)
CppScriptMgr:SetLightScreen(2000)
hero:RunTo(68,28)
hero:SetDir(6)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
